-- Test home_i18n
set client_min_messages to warning;
create extension if not exists pgtap;
reset client_min_messages;

begin;

select plan(23);

set search_path to camper, public;

select has_table('home_i18n');
select has_pk('home_i18n');
select col_is_pk('home_i18n', array['company_id', 'lang_tag']);
select table_privs_are('home_i18n', 'guest', array['SELECT']);
select table_privs_are('home_i18n', 'employee', array['SELECT']);
select table_privs_are('home_i18n', 'admin', array['SELECT', 'INSERT', 'UPDATE', 'DELETE']);
select table_privs_are('home_i18n', 'authenticator', array[]::text[]);

select has_column('home_i18n', 'company_id');
select col_is_fk('home_i18n', 'company_id');
select fk_ok('home_i18n', 'company_id', 'home', 'company_id');
select col_type_is('home_i18n', 'company_id', 'integer');
select col_not_null('home_i18n', 'company_id');
select col_hasnt_default('home_i18n', 'company_id');

select has_column('home_i18n', 'lang_tag');
select col_is_fk('home_i18n', 'lang_tag');
select fk_ok('home_i18n', 'lang_tag', 'language', 'lang_tag');
select col_type_is('home_i18n', 'lang_tag', 'text');
select col_not_null('home_i18n', 'lang_tag');
select col_hasnt_default('home_i18n', 'lang_tag');

select has_column('home_i18n', 'slogan');
select col_type_is('home_i18n', 'slogan', 'text');
select col_not_null('home_i18n', 'slogan');
select col_hasnt_default('home_i18n', 'slogan');


select *
from finish();

rollback;

